# ShutUp Assets
[![Continuous Integration status](https://api.travis-ci.org/estum/shut_up_assets.svg)](http://travis-ci.org/estum/shut_up_assets)

ShutUp Assets is a fresh fork of [Quiet Assets](https://github.com/evrone/quiet_assets), it turns off the Rails asset pipeline log. This means that it suppresses messages in your development log such as:

    Started GET "/assets/application.js" for 127.0.0.1 at 2015-01-28 13:35:34 +0300
    Served asset /application.js - 304 Not Modified (8ms)

Support Ruby on Rails >= 4.2

## Installation

It is recommended that this gem only be used for development.
To install, add this line to development group in your Gemfile:

    gem 'shut_up_assets', group: :development

Then, from the command line, run:

    $ bundle

## Usage

Simply installing ShutUp Assets will suppress the log messages automatically. However, if you wish to temporarily re-enable the logging of the asset pipeline messages,
place the following in your `config/application.rb` file:

    config.quiet_assets = false

If you need to supress output for other paths you can do so by specifying:

    config.shut_up_assets.paths << '/silent/'

## License

Dual licensed under the MIT or GPL licenses:

+ http://www.opensource.org/licenses/mit-license.php
+ http://www.gnu.org/licenses/gpl.html

Copyright © 2011-2015 Dmitry [@KODerFunk](https://github.com/KODerFunk) Karpunun, Dmitry [@route](https://github.com/route) Vorotilin / [Evrone.com](http://evrone.com)
